---------
--ESTADOS
----------
--altaEstados
declare
    rst varchar2(250);
begin
--INPUT: n_des
altaEstados('ALTA_INICIAL', rst);
altaEstados('BAJA', rst);
altaEstados('MODIFICACION', rst);
end;
/
/* exception
    rst := 'ERROR: Ya existe este tipo de  ESTADOS';
    rst := 'ERROR: el tipo de ESTADOS  no debe ser nulo';
*/
---modificaEstados
declare
    rst varchar2(250);
begin
--INPUT: n_id,n_des
modificaEstados(1,'ALTA', rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe el id del Estado';
    rst := 'ERROR: Ya existe este tipo de  ESTADOS';
    rst := 'ERROR: el tipo de ESTADOS  no debe ser nulo';
*/
--------------
-- UBICACIONES
--------------
-- altaVia
declare
    rst varchar2(250);
begin
--INPUT: n_des
altaVia('Avd.',rst);
altaVia('C/',rst);
altaVia('Pje.',rst);
altaVia('Plaza',rst);
altaVia('Pol.Ind.',rst);
altaVia('Ctra.',rst);
altaVia('Paseo',rst);
end;
/
/* exceptions 
   rst := 'ERROR: Ya existe este tipo de  Via';
   rst := 'ERROR: el tipo de via  no debe ser nulo';
*/
-- modificaVia
declare
    rst varchar2(250);
begin
--INPUT: n_id, n_des
modificaVia(1,'Avd.', rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe esta Via';
    rst := 'ERROR: Ya existe este tipo de  Via';
    rst := 'ERROR: el tipo de via  no debe ser nulo';
*/
--altaPais
declare
rst varchar2(250);
begin
--INPUT:  n_id, n_des, n_cod
altaPais(1,'ESPAA','ES',rst);
altaPais(2,'FRANCIA','FR',rst);
altaPais(3,'MARRUECOS','MA',rst);
altaPais(4,'ALEMANIA','DE',rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este id de PAIS';
    rst := 'ERROR: Ya existe este PAIS';
    rst := 'ERROR: Ya existe el codigo  de Pais ';
    rst := 'ERROR: hay campos NO nulos, sin contenido';  
*/
--modificaPais
declare
rst varchar2(250);
begin
--INPUT:  n_id, n_des, n_cod
modificaPais(1,'ESPANYA','SP',rst);
end;
/
/* exceptions
    rst := 'ERROR: NO existe este id de PAIS';
    rst := 'ERROR: Ya existe este PAIS';
    rst := 'ERROR: hay campos NO nulos, sin contenido';
*/
--AltaProvincia
declare rst varchar2(250);
begin
--INPUT: n_id, n_des, n_pais
altaProvincia(2,'BARCELONA',1,rst); 
altaProvincia(3,'BALENCIA',1,rst); 
altaProvincia(4,'ALICANTE',1,rst); 
altaProvincia(5,'GIRONA',1,rst); 
altaProvincia(6,'LLEIDA',1,rst); 
altaProvincia(7,'TARRAGONA',1,rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este cdigo PROVINCIA';
    rst := 'ERROR: Ya existe esta PROVINCIA';
    rst := 'ERROR: NO  existe PAIS';
    rst := 'ERROR: hay campos NO nulos que NO tienen datos'; 
*/
--modificaProvincia
declare rst varchar2(250);
begin
--INPUT: n_id, n_des, n_pais
modificaProvincia(3,'VALENCIA',1,rst); 
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este cdigo PROVINCIA';
    rst := 'ERROR: hay campos NO nulos que NO tienen datos'; 
*/
--altaLocalidad
declare rst varchar2(250);
begin
--INPUT: n_id, n_des, n_localidad
altaLocalidad(1,'VARCELONA',2,rst);
altaLocalidad(2,'TERRASSA',2,rst);
altaLocalidad(3,'SABADELL',2,rst);
altaLocalidad(4,'MANRESA',2,rst);
altaLocalidad(5,'BERGA',2,rst);
altaLocalidad(6,'SANTPEDOR',2,rst);
altaLocalidad(7,'RUBI',2,rst);
altaLocalidad(8,'MATADEPERA',2,rst);
END;
/
/* exceptions
    rst := 'ERROR: Ya existe este cdigo localidad';
    rst := 'ERROR: Ya existe esta localidad';
    rst := 'ERROR: NO  existe provincia';
    rst := 'ERROR: hay campos NO nulos que NO tienen datos'; 
*/
--modificaLocalidad
declare rst varchar2(250);
begin
--INPUT: n_id, n_des, n_provincia
modificaLocalidad(1,'BARCELONA',2,rst);
END;
/
/* exceptions
    rst := 'ERROR: Ya existe esta localidad';
    rst := 'ERROR: NO  existe provincia';
    rst := 'ERROR: hay campos NO nulos que NO tienen datos';  
*/
--altaubicaciones
declare rst varchar2(250);
begin
--INPUT: n_via, n_dir,n_num,n_pis,n_pta,n_codigoPostal,n_localidad
altaUbicaciones(2,'ABAT ODO  ','127','6','3','08037',2,rst);
altaUbicaciones(2,'ACACIES','72','6','4','08021',2,rst);
altaUbicaciones(2,'ACACIES','103','6','2','08027',2,rst);
altaUbicaciones(2,'ACACIES','133','2','1','08035',2,rst);
altaUbicaciones(2,'ACACIES','121','8','1','08017',2,rst);
altaUbicaciones(2,'ACACIES','19','9','3','08013',2,rst);
altaUbicaciones(2,'ACACIES','44','3','3','08024',2,rst);
altaUbicaciones(2,'ACACIES','146','8','4','08018',2,rst);
altaUbicaciones(2,'ACTRIU TUBAU ','83','7','1','08024',2,rst);
altaUbicaciones(2,'AGREGACIO','144','3','3','08013',2,rst);
altaUbicaciones(2,'AGRICULTURA','75','1','3','08024',2,rst);
altaUbicaciones(2,'AGRICULTURA','15','6','4','08020',2,rst);
altaUbicaciones(2,'AGRICULTURA','53','1','4','08027',2,rst);
altaUbicaciones(2,'AGRICULTURA','45','3','4','08021',2,rst);
altaUbicaciones(2,'AGRICULTURA','38','0','1','08018',2,rst);
altaUbicaciones(2,'AGRICULTURA','11','1','2','08019',2,rst);
altaUbicaciones(2,'AGRICULTURA','55','0','1','08013',2,rst);
altaUbicaciones(2,'AGRICULTURA','73','0','1','08020',2,rst);
altaUbicaciones(2,'AGRICULTURA','60','4','4','08025',2,rst);
end;
/
/*
      rst := 'ERROR: No existe este cdigo de via';
      rst := 'ERROR: NO  existe localidad';
      rst := 'ERROR: hay campos nulos que no tienen datos';
*/
--modificaUbicaciones
declare rst varchar2(250);
begin
--INPUT: n_id,n_via, n_dir,n_num,n_pis,n_pta,n_codigoPostal,n_localidad
modificaUbicaciones (1,3,'ABAT ODO  ','128','6','4','08037',2,rst);
end;
/
/*
    		rst := 'ERROR: NO  existe localidad';
        	rst := 'ERROR: hay campos nulos que no tienen datos';
*/
-------------
-- CENTRALES
-------------
--altaTipoInspeccion
declare
    rst varchar2(250);
begin
-- 			n_des,n_estado,n_fechaEstado, rst
altaTipoInspeccion('ANUAL',1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/*
    rst := 'ERROR: Ya  existe la descripcion ';
    rst := 'ERROR: NO exsite el Estado';
    rst := 'ERROR: Hay campos NO nulos:  sin contenido';
*/
--modificaTipoInspeccion
declare
    rst varchar2(250);
begin
-- 			n_des,n_estado,n_fechaEstado, rst
modificaTipoInspeccion(1,'INICIAL',1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe el id tipo Inspeccin ';
    rst := 'ERROR: Ya  existe la descripcion ';
    rst := 'ERROR: NO exsite el Estado';
    rst := 'ERROR: Hay campos NO nulos:  sin contenido';
*/
--bajaTipoInspeccion
declare
    rst varchar2(250);
begin
bajaTipoInspeccion(1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/* exceptiones
    rst := 'ERROR: No existe el tipo de inspeccin ';
    rst := 'ERROR: NO exsite el Estado';
    rst := 'ERROR: Hay campos NO nulos:  sin contenido';
*/
--altaClaseCentral
declare
    rst varchar2(250);
begin
altaClaseCentral('DISTRIBUCIN',rst);
altaClaseCentral('PRODUCCIN',rst);
end;
/
/* exceptions
  rst := 'ERROR: Ya existe este tipo de  CCENTRAL';
  rst := 'ERROR: el tipo de CCENTRAL  no debe ser nulo';
*/
/
-- modificaClaseCentral
declare
    rst varchar2(250);
begin
modificaClaseCentral(1,'DISTRIBUCION',rst);
modificaClaseCentral(2,'PRODUCCION',rst);
end;
/
/* exceptions
   rst := 'ERROR: Ya existe este tipo de  CCENTRAL';
   rst := 'ERROR: el tipo de CCENTRAL  no debe ser nulo';
*/
--altaEmisionCentral
declare
    rst varchar2(250);
begin
altaEmisionCentral('Kg.CO3',rst);
altaEmisionCentral('RESIDUO RADIOACTIVO',rst);
altaEmisionCentral('MOLINOS',rst);
altaEmisionCentral('PLACAS SOLARES ',rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este tipo de  ECentral';
    rst := 'ERROR: el tipo de ECentral  no debe ser nulo';
*/
--modificaEmisionCentral
declare
    rst varchar2(250);
begin
modificaEmisionCentral(1,'Kg.CO2',rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe este  id de  ECentral';
    rst := 'ERROR: el tipo de ECentral  no debe ser nulo';
    rst := 'ERROR: Ya existe este tipo de  ECentral';
*/
--altaTipoCentral
declare
    rst varchar2(250);
begin
altaTipoCentral('NUCLEAR',1,'01/05/2012',1,20,NULL,rst);
altaTipoCentral('TERMICA',1,'01/05/2012',1,20,NULL,rst);
altaTipoCentral('CARBON',1,'01/05/2012',1,20,NULL,rst);
altaTipoCentral('EOLICA',1,'01/05/2012',1,20,NULL,rst);
altaTipoCentral('SOLAR',1,'01/05/2012',1,20,NULL,rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este tipo de  tcentral';
    rst := 'ERROR: el tipo de tcentral  no debe ser nulo';
*/
-- modificaTipoCentral
declare
    rst varchar2(250);
begin
modificaTipoCentral(1,'TRMICA',1,'01/05/2012',1,20,NULL,rst);
end;
/
/*exceptions
    rst := 'ERROR: No existe este cdigo de tipo de central';
    rst := 'ERROR: No existe este cdigo de tipo de central';
    rst := 'ERROR: Ya existe este tipo de  tcentral';
    rst := 'ERROR: el tipo de tcentral  no debe ser nulo';
*/
-- bajaTipoCentral
declare
    rst varchar2(250);
begin
bajaTipoCentral(1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/* exceptions
     rst := 'ERROR: No existe el tipo de  tcentral';
     rst := 'ERROR:  NO  existe el Estado de BAJA';
     rst := 'ERROR: hay campos no nulos sin contenido';
*/

--altaCentralDistribucion
declare
    rst varchar2(250);
begin
--	                 n_des,n_estado,n_fechaEstado,n_clase,n_tipo,n_eMax,n_eMin,n_inspeccion,n_fIns,n_ubica,n_obs
altaCentralDistribucion('BCN_D1',1,to_char(sysdate,'DD/MM/YYYY'),1,1,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),4,null,rst);
altaCentralDistribucion('BCN_D2',1,to_char(sysdate,'DD/MM/YYYY'),1,2,18000,100,1,to_char(sysdate,'DD/MM/YYYY'),5,null,rst);
altaCentralDistribucion('BCN_D3',1,to_char(sysdate,'DD/MM/YYYY'),1,3,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),6,null,rst);
altaCentralDistribucion('BCN_D4',1,to_char(sysdate,'DD/MM/YYYY'),1,3,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),7,null,rst);
altaCentralDistribucion('BCN_D5',1,to_char(sysdate,'DD/MM/YYYY'),1,4,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),8,null,rst);
altaCentralDistribucion('BCN_D6',1,to_char(sysdate,'DD/MM/YYYY'),1,4,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
altaCentralDistribucion('BCN_D7',1,to_char(sysdate,'DD/MM/YYYY'),1,4,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
altaCentralDistribucion('BCN_D8',1,to_char(sysdate,'DD/MM/YYYY'),1,5,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
altaCentralDistribucion('BCN_D9',1,to_char(sysdate,'DD/MM/YYYY'),1,5,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
altaCentralDistribucion('BCN_D10',1,to_char(sysdate,'DD/MM/YYYY'),1,5,17000,100,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
end;
/
/*exceptions
  rst := 'ERROR: Ya existe esta  Central';
    rst := 'ERROR: No existe la clase de central';
    rst := 'ERROR: No existe el tipo de central';
    rst := 'ERROR: No existe la ubicacion  de la central';
    rst := 'ERROR: No es CENTRAL DE DISTRIBUCION';
    rst := 'ERROR: No existe el tipo de inspeccion';
    rst := 'ERROR: Hay campos nulos sin contenido';
*/
--modificaCentralDistribucion
declare
    rst varchar2(250);
begin
--	                 n_des,n_estado,n_fechaEstado,n_clase,n_tipo,n_eMax,n_eMin,n_inspeccion,n_fIns,n_ubica,n_obs
modificaCentralDistribucion(1,'BCN_D1_modificado',1,to_char(sysdate,'DD/MM/YYYY'),1,1,20,10,1,to_char(sysdate,'DD/MM/YYYY'),4,null,rst);
end;
/
/*exceptions
  rst := 'ERROR: No existe el cdigo de la Central de Distribucin ';
    rst := 'ERROR: Ya existe esta descripcin de  Central';
    rst := 'ERROR: No existe la clase de central';
    rst := 'ERROR: No existe la ubicacion  de la central';
    rst := 'ERROR: No existe el tipo de inspeccion';
    rst := 'ERROR: Hay campos nulos sin contenido';
*/
--altaCentralProduccion
declare
    rst varchar2(250);
begin
--	n_des,n_estado,n_fechaEstado,n_clase,n_tipo,n_eMax,n_eMin,n_inspeccion,n_fIns,n_ubica,n_obs, 
altaCentralProduccion('BCN_PROD_1',1,to_char(sysdate,'DD/MM/YYYY'),2,1,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),1,null,rst);
altaCentralProduccion('BCN_PROD_2',1,to_char(sysdate,'DD/MM/YYYY'),2,2,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),2,null,rst);
altaCentralProduccion('BCN_PROD_3',1,to_char(sysdate,'DD/MM/YYYY'),2,3,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),3,null,rst);
altaCentralProduccion('BCN_PROD_4',1,to_char(sysdate,'DD/MM/YYYY'),2,1,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),4,null,rst);
altaCentralProduccion('BCN_PROD_5',1,to_char(sysdate,'DD/MM/YYYY'),2,2,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),5,null,rst);
altaCentralProduccion('BCN_PROD_6',1,to_char(sysdate,'DD/MM/YYYY'),2,3,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),6,null,rst);
altaCentralProduccion('BCN_PROD_7',1,to_char(sysdate,'DD/MM/YYYY'),2,1,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),7,null,rst);
altaCentralProduccion('BCN_PROD_8',1,to_char(sysdate,'DD/MM/YYYY'),2,2,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),8,null,rst);
altaCentralProduccion('BCN_PROD_9',1,to_char(sysdate,'DD/MM/YYYY'),2,3,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),9,null,rst);
altaCentralProduccion('BCN_PROD_10',1,to_char(sysdate,'DD/MM/YYYY'),2,1,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),10,null,rst);
altaCentralProduccion('BCN_PROD_11',1,to_char(sysdate,'DD/MM/YYYY'),2,2,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),11,null,rst);
altaCentralProduccion('BCN_PROD_12',1,to_char(sysdate,'DD/MM/YYYY'),2,3,8000,1000,1,to_char(sysdate,'DD/MM/YYYY'),12,null,rst);
end;
/
/*exceptions
    rst := 'ERROR: Ya existe esta  Central';
    rst := 'ERROR: No existe la clase de central';
    rst := 'ERROR: No existe el tipo de central';
    rst := 'ERROR: No existe la ubicacion  de la central';
    rst := 'ERROR: No es CENTRAL DE PRODUCCION';
    rst := 'ERROR: No existe el tipo de inspeccion';
    rst := 'ERROR: Hay campos nulos sin contenido';
    rst:='OK, Alta Central de Produccin  ';
*/
--modificaCentralProduccion
declare
    rst varchar2(250);
begin
--	n_des,n_estado,n_fechaEstado,n_clase,n_tipo,n_eMax,n_eMin,n_inspeccion,n_fIns,n_ubica,n_obs, 
modificaCentralProduccion(1,'BCN_PROD_1',1,to_char(sysdate,'DD/MM/YYYY'),2,1,12500,100,1,to_char(sysdate,'DD/MM/YYYY'),1,null,rst);
end;
/
/*exceptions
    rst := 'ERROR: NO existe el cdigo de la central de Produccin'||n_id;
    rst := 'ERROR: Ya existe esta descripcin de  Central';
    rst := 'ERROR: No existe la clase de central';
    rst := 'ERROR: No existe el tipo de central';
    rst := 'ERROR: No existe la ubicacion  de la central';
    rst := 'ERROR: No es CENTRAL DE PRODUCCION';
    rst := 'ERROR: No existe el tipo de inspeccion';
    rst := 'ERROR: Hay campos nulos sin contenido';
*/
--bajaCentral
DECLARE rst VARCHAR2(250);
BEGIN
  bajaCentral(1,to_char(sysdate,'DD/MM/YYYY'),  rst);
END;
/
/*exceptions
    rst := 'ERROR: NO existe esta  central';
    rst := 'ERROR: Hay campos nulos sin contenido';
    rst := 'ERROR: No existe el estado BAJA';
    rst:='OK, BAJA LOGICA DE LA  CENTRAL ';
*/
-----------------
-- CLIENTES
-----------------
--altaTipoCliente
DECLARE rst VARCHAR2(250);
BEGIN
altaTipoCliente('PARTTICULAR', rst);
altaTipoCliente('EMPRESA', rst);
END;
/
/*
    rst:='Ok, Alta Tipo Cliente  realizada con exito';
    rst := 'ERROR: Ya existe este tipo de  Cliente';
    rst := 'ERROR: el tipo de Cliente  no debe ser nulo';
*/
--modificaTipoCliente
DECLARE rst VARCHAR2(250);
BEGIN
modificaTipoCliente(1,'PARTICULAR', rst);
END;
/
/*
    rst:='Ok, Modifica Tipo Cliente  realizado con exito';
    rst := 'ERROR: No existe el  CODIGO DEL tipo de cliente ';
    rst := 'ERROR: Ya existe esta descripcin del  tipo de  Cliente';
    rst := 'ERROR: el tipo de Cliente  no debe ser nulo';
*/
--altaClientes
declare rst varchar2(250);
begin
-- 		n_estado, n_tipo, n_nifCif, n_nombre, n_apellido1, n_apellido2,n_email, n_tMovil,n_ubica,n_fechaAlta,n_fechaMod, rst
altaClientes(1,1,'49213673K','AARON','DOUHET','MALAGRAVA','49213673K@.gmail.com','670123123',1,'23/11/2001','23/11/2001',rst);
altaClientes(1,1,'11259485L','ABDELKRIM','FONTOUA','DUCREUX','11259485L@.gmail.com','670123124',2,'23/11/2002','23/11/2002',rst);
altaClientes(1,1,'57248539K','ABAELKADER','FONZ','SALIP','57248539K@.gmail.com','670123125',3,'23/11/2003','23/11/2003',rst);
altaClientes(1,1,'74075914K','ABDERRAHMAN','CHAVARRIAS','PAXERAS','74075914K@.gmail.com','670123126',4,'23/11/2004','23/11/2004',rst);
altaClientes(1,1,'44331870Z','ABDELMALIK','HERETTE','MAIDEU','44331870Z@.gmail.com','670123127',5,'23/11/2005','23/11/2005',rst);
altaClientes(1,1,'33624203C','ABDELKADER','BANTULA','BARRACA','33624203C@.gmail.com','670123128',6,'23/11/2006','23/11/2006',rst);
altaClientes(1,1,'41929980Z','ABDEL','IBORRA','ALGORA','41929980Z@.gmail.com','670123129',7,'23/11/2007','23/11/2007',rst);
altaClientes(1,1,'39895167B','ABDELAH','BUTTICAZ','RECAMAN','39895167B@.gmail.com','670123130',8,'23/11/2008','23/11/2008',rst);
END;
/
/*
     rst:='Ok, Alta cliente   realizada con exito';
     rst := 'ERROR: No existe el ESTADO ';
     rst := 'ERROR: NO existe TIPO CLIENTE';
     rst := 'ERROR:  ya existe este NIF / CIF';
     rst := 'ERROR: No existe la UBICACION ';
     rst := 'ERROR: hay campos no nulos sin contenido';
*/
--modificaClientes
declare rst varchar2(250);
begin
-- 		n_id,n_estado, n_tipo, n_nifCif, n_nombre, n_apellido1, n_apellido2,n_email, n_tMovil,n_ubica,n_fechaAlta,n_fechaMod, rst
modificaClientes(1,1,1,'49213673K','AARON','DOUHET','MALAGRAVA','1149213673K@.gmail.com','670123123',1,'23/11/2001','23/11/2001',rst);
end;
/
/*   rst := 'ERROR: NO existe la UBICACION';
     rst := 'ERROR: hay campos no nulos sin contenido';
     rst := 'ERROR:  ya existe este NIF / CIF';
     rst := 'ERROR: No existe el TIPO CLIENTE ';
     rst := 'ERROR: NO existe ESTADO';
     rst := 'ERROR: NO existe el CODIGO DEL CLIENTE';
*/
--bajaClientes
declare rst varchar2(250);
begin
bajaClientes(1,to_char(sysdate,'DD/MM/YYYY'), rst);
end;
/
/* exceptions
    rst := 'ERROR: NO existe el CODIGO DEL CLIENTE';
    rst := 'ERROR: No existe el ESTADO ';
*/
--------------
--CONTADORES
--------------
--altaEmpresa
declare
    rst varchar2(250);
begin
altaEmpresa('A08624203','ENDESA',1,'23/11/2001',rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este CIF';
    rst := 'ERROR: Ya existe este NOMBRE';
    rst := 'ERROR: NO existe este ESTADO';
    rst := 'ERROR: Hay campos nulos sin contenido';
*/
--modificaEmpresa
declare
    rst varchar2(250);
begin
modificaEmpresa(1,'A08624203','ENDESA_1',1,'23/11/2001',rst);
end;
/
/*exceptions
    rst := 'ERROR: No existe el id de Empesa';
    rst := 'ERROR: Hay campos nulos sin contenido';
*/
--altaModelos
declare rst varchar2(250);
begin
--           n_des, n_anyoFabrica, n_empresa, n_estado, n_fechaEstado, n_obs,rst;
altaModelos('TURINCORP','2004',1,1,'01/01/2004','con soporte',rst);
altaModelos('FURTHER','2005',1,1,'01/01/2005','con soporte',rst);
altaModelos('COLMAN','2006',1,1,'01/01/2006','con soporte',rst);
altaModelos('MACII','2007',1,1,'01/01/2007','con soporte',rst);
altaModelos('ROMY','2008',1,1,'01/01/2008','con soporte',rst);
end;
/
/*
    rst := 'ERROR: hay campos no nulos sin contenido';
    rst := 'ERROR: No existe el ESTADO ';
    rst := 'ERROR: NO existe la EMPRESA';
*/
--modificaModelos
declare rst varchar2(250);
begin
--           n_des, n_anyoFabrica, n_empresa, n_estado, n_fechaEstado, n_obs,rst;
modificaModelos(1,'TURINCORP','2009',1,1,'01/01/2004','con soporte',rst);
end;
/
/*
rst := 'ERROR: hay campos no nulos sin contenido';
rst := 'ERROR: No existe el ESTADO ';
rst := 'ERROR: No existe la EMPRESA ';
*/
--bajaModelos
declare rst varchar2(250);
begin
bajaModelos(1,to_char(sysdate,'DD/MM/YYYY'), rst);
end;
/
/* exceptions
    rst := 'ERROR: hay campos no nulos sin contenido';
    rst := 'ERROR: No existe el ESTADO ';
    rst := 'ERROR: NO existe el modelo';
    rst := 'ERROR: No existe la EMPRESA ';
*/
--altaContadores
declare rst varchar2(250);
begin
-- 		n_modelo, n_ubica, n_estado, n_fechaEstado, n_numSerie
altaContadores(1,1,1,'01/01/2004','123456789',rst);
altaContadores(1,2,1,'01/01/2005','123456790',rst);
altaContadores(2,3,1,'01/01/2006','123456791',rst);
altaContadores(2,4,1,'01/01/2007','123456792',rst);
altaContadores(2,4,1,'01/01/2008','123456793',rst);
altaContadores(2,3,1,'01/01/2009','123456794',rst);
end;
/
/* exceptions
      rst := 'ERROR: No existe Modelo';
     rst := 'ERROR: NO existe ubicacin';
     rst := 'ERROR: No existe Estado';
    rst := 'ERROR: hay campos no nulos  sin contenido';
*/
--modificaContadores
declare rst varchar2(250);
begin
modificaContadores(1,1,1,1,to_char(sysdate,'DD/MM/YYYY'), 'n/s_2', rst);
end;
/
/* exceptions
      rst := 'ERROR: No existe el  Cdigo del contador ';
      rst := 'ERROR: No existe Modelo';
      rst := 'ERROR: NO existe ubicacin';
      rst := 'ERROR: No existe Estado';
     rst := 'ERROR: hay campos no nulos  sin contenido';
*/
--bajaContadores
declare rst varchar2(250);
begin
bajaContadores(1,to_char(sysdate,'DD/MM/YYYY'), rst);
end;
/
/*exceptions
    rst := 'ERROR: No existe el Contador';
    rst := 'ERROR: No existe el Estado de BAJA';
    rst := 'ERROR: hay campos no nulos  sin contenido';
*/
--------------
--LINEAS
-------------
--altaLinea
declare
    rst varchar2(250);
begin
--	n_estado, n_fechaEstado, n_cMax, n_obs
altaLinea(1,to_char(sysdate,'DD/MM/YYYY'),1000,null,rst);
end; 
/
/* exceptions
    rst := 'ERROR: hay campos nulos vacios';
*/
-- modificaLinea
declare
    rst varchar2(250);
begin
--	n_estado, n_fechaEstado, n_cMax, n_obs
modificaLinea(1,1,to_char(sysdate,'DD/MM/YYYY'),1500,null,rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe la lnea';
    rst := 'ERROR: hay campos nulos vacios';
*/
--bajaLinea
declare
    rst varchar2(250);
begin
bajaLinea(1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe Linea';
    rst := 'ERROR: hay campos nulos vacios';
    rst := 'ERROR: NO exsite el ESTADO';
*/
--altaLineas
declare
    rst varchar2(250);
begin
-- 	n_estado, n_fechaEstado, n_linea, n_c1, n_c2, n_obs
altaLineas(1,to_char(sysdate,'DD/MM/YYYY'),1,1,1,NULL,rst);
end;
/
/* exceptions
    rst := 'ERROR: hay campos nulos vacios';
    rst := 'ERROR: NO exsite el ESTADO';
    rst := 'ERROR: NO existe LINEA';
    rst := 'ERROR: No es una Central ';
    rst := 'ERROR: No es Central ni Contador';
    rst := 'ERROR: No se pueden  conectar: conexiones iguales';
*/
--modificaLineas
declare
    rst varchar2(250);
begin
-- 		n_id, n_estado, n_fechaEstado,n_linea, n_c1, n_c2, n_obs
modificaLineas(1,1,to_char(sysdate,'DD/MM/YYYY'),1,1,2,'linea de alta tensin' ,rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe el id de Lneas';
    rst := 'ERROR: hay campos nulos vacios';
    rst := 'ERROR: NO exsite el ESTADO';
    rst := 'ERROR: NO existe LINEA';
    rst := 'ERROR: No es una Central ';
    rst := 'ERROR: No es Central ni Contador';
    rst := 'ERROR: No se pueden  conectar: conexiones iguales';
*/
--bajaLineas
declare
    rst varchar2(250);
begin
bajaLineas(1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/*exceptions
    rst := 'ERROR: No existe Lineas';
    rst := 'ERROR: hay campos nulos vacios';
    rst := 'ERROR: NO exsite el ESTADO';
*/
-- altaTipoLectura
declare rst varchar2(250);
begin
altaTipoLectura(1,'PRESENCIAL',rst);
altaTipoLectura(2,'TELEMATICA',rst);
end;
/
/* exceptions
    rst := 'ERROR: Ya existe este id de tipo de lectura';
    rst := 'ERROR: Ya existe esta descripcion del tipo de lectura';
    rst := 'ERROR: hay campos NO nulos, sin contenido';
*/
--modificaTipoLectura
declare rst varchar2(250);
begin
modificaTipoLectura (2,'TELEMTICA',rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe  este id de tipo de lectura';
    rst := 'ERROR: Ya existe esta descripcion del tipo de lectura';
    rst := 'ERROR: hay campos NO nulos, sin contenido';
*/
--altaContratos
declare
    rst varchar2(250);
begin
--          n_cliente, n_contador, n_estado, n_fechaEstado, n_pContrato, n_obs
altaContratos(1,1,1,'01/01/2011',4000,'obs_cliente_1',rst);
altaContratos(2,2,1,'01/01/2011',4000,'obs_cliente_2',rst);
altaContratos(3,3,1,'01/01/2011',4000,'obs_cliente_3',rst);
altaContratos(4,4,1,'01/01/2011',4000,'obs_cliente_4',rst);
altaContratos(5,5,1,'01/01/2011',4000,'obs_cliente_5',rst);
altaContratos(6,6,1,'01/01/2011',4000,'obs_cliente_6',rst);
altaContratos(7,7,1,'01/01/2011',4000,'obs_cliente_7',rst);
altaContratos(8,8,1,'01/01/2011',4000,'obs_cliente_8',rst);
end;
/
/* exceptions
rst := 'ERROR: No existe el CLIENTE ';
rst := 'ERROR: NO  existe el CONTADOR';
rst := 'ERROR: No existe el ESTADO ';
rst := 'ERROR: hay campos no nulos sin contenido';
*/
--modificaContratos
declare
    rst varchar2(250);
begin
--		n_id,n_cliente, n_contador, n_estado, n_fechaEstado, n_pContrato, n_obs, rst
modificaContratos(1,1,1,1,to_char(sysdate,'DD/MM/YYYY'),300,'cliente conflictivo',rst);
end;
/
/* exceptions
    rst := 'ERROR: No existe el id del Contrato';
    rst := 'ERROR: No existe el CLIENTE ';
    rst := 'ERROR:  NO  existe el CONTADOR';
    rst := 'ERROR: No existe el ESTADO ';
    rst := 'ERROR: hay campos no nulos sin contenido';
*/
declare
    rst varchar2(250);
begin
bajaContratos(1,to_char(sysdate,'DD/MM/YYYY'),rst);
end;
/
/* exceptions
  rst := 'ERROR: NO existe el CONTRATO';
  rst := 'ERROR:  NO  existe el Estado de BAJA';
  rst := 'ERROR: hay campos no nulos sin contenido';
*/
--altaConsumos
declare
    rst varchar2(250);
begin
altaConsumos(2,2010,7,15, rst);
END;
/
--modificaConsumos
declare
    rst varchar2(250);
begin
modificaConsumos(1,2,2010,7,300, rst);
END;
/
/* exceptions
    rst := 'ERROR: NO existe el id de Consumos';
    rst := 'ERROR: NO existe el CONTADOR';
    rst := 'ERROR: hay campos NO nulos, sin contenido';
*/









