/* CREACION DE SECUENCIAS */
-----------------------------

CREATE  SEQUENCE estados_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE via_SEQ_GRAL   	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE ccentral_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE ecentral_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE tcentral_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE tInspeccion_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE centrales_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE linea_SEQ_GRAL 	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE lineas_SEQ_GRAL 	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE empresas_SEQ_GRAL	START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE tCliente_SEQ_GRAL      START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE clientes_SEQ_GRAL      START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE modelos_SEQ_GRAL       START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE contadores_SEQ_GRAL    START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE contratos_SEQ_GRAL     START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE ubicaciones_SEQ_GRAL   START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE lecturas_SEQ_GRAL      START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE consumos_SEQ_GRAL      START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
CREATE  SEQUENCE  Log_SEQ_GRAL          START WITH 1  INCREMENT BY 1 NOMAXVALUE  NOCACHE;
--------------------------------------------------
---------------------- ESTADISTICAS --------------
--------------------------------------------------
CREATE SEQUENCE e_1_SEQ_GRAL   	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_2_SEQ_GRAL 	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_3_SEQ_GRAL   	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_4_SEQ_GRAL 	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_5_SEQ_GRAL   	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_6_SEQ_GRAL 	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
CREATE SEQUENCE e_7_SEQ_GRAL 	START WITH 1  INCREMENT BY 1  	NOMAXVALUE  	NOCACHE;
--------------------------
--CONSULTAS----------------
--------------------------
CREATE SEQUENCE C1_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C2_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C3_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C4_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C5_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C6_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE SEQUENCE C7_SEQ_GRAL     START WITH 1  INCREMENT BY 1  NOMAXVALUE  NOCACHE;
-----------------
--CREATE TRIGGERS
-----------------
--ESTADOS
CREATE OR REPLACE TRIGGER   estados_TR_KEY
    BEFORE INSERT       ON  estados    FOR EACH ROW
   BEGIN      SELECT        estados_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--UBICACIONES
CREATE OR REPLACE TRIGGER ubicaciones_TR_KEY
    BEFORE INSERT      ON ubicaciones
    FOR EACH ROW
   BEGIN
      SELECT              ubicaciones_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--VIA
CREATE OR REPLACE TRIGGER   via_TR_KEY
    BEFORE INSERT       ON  via    FOR EACH ROW
   BEGIN             SELECT via_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--cCentral
CREATE OR REPLACE TRIGGER   ccentral_TR_KEY
    BEFORE INSERT       ON  ccentral
    FOR EACH ROW
    BEGIN            SELECT ccentral_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--eCentral
CREATE OR REPLACE TRIGGER   ecentral_TR_KEY
    BEFORE INSERT       ON  ecentral
    FOR EACH ROW
   BEGIN            SELECT  ecentral_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--tCentral
CREATE OR REPLACE TRIGGER       tcentral_TR_KEY
    BEFORE INSERT         ON    tcentral
    FOR EACH ROW
   BEGIN                SELECT  tcentral_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--tInspeccion
CREATE OR REPLACE TRIGGER   tInspeccion_TR_KEY
    BEFORE INSERT       ON  tInspeccion
    FOR EACH ROW
   BEGIN      SELECT        tInspeccion_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--Centrales
CREATE OR REPLACE TRIGGER   centrales_TR_KEY
    BEFORE INSERT       ON  centrales         FOR EACH ROW
   BEGIN      SELECT        centrales_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--linea
CREATE OR REPLACE TRIGGER               linea_TR_KEY
    BEFORE INSERT       ON              linea
    FOR EACH ROW   BEGIN   SELECT       linea_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--lineas
CREATE OR REPLACE TRIGGER               lineas_TR_KEY
    BEFORE INSERT     ON                lineas
    FOR EACH ROW   BEGIN      SELECT    lineas_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
CREATE OR REPLACE TRIGGER               empresas_TR_KEY
    BEFORE INSERT       ON              empresas
    FOR EACH ROW   BEGIN      SELECT    empresas_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--tCliente
CREATE OR REPLACE TRIGGER   tCliente_TR_KEY
    BEFORE INSERT       ON  tCliente
    FOR EACH ROW   BEGIN
      SELECT                tCliente_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--CLIENTES
CREATE OR REPLACE TRIGGER   clientes_TR_KEY
    BEFORE INSERT       ON  clientes
    FOR EACH ROW
   BEGIN      SELECT        clientes_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--MODELOS
CREATE OR REPLACE TRIGGER   modelos_TR_KEY
    BEFORE INSERT    ON     modelos
    FOR EACH ROW
   BEGIN      SELECT        modelos_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--EMPRESAS
CREATE OR REPLACE TRIGGER   empresas_TR_KEY
    BEFORE INSERT    ON     empresas
    FOR EACH ROW
   BEGIN      SELECT        empresas_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--CONTADORES
CREATE OR REPLACE TRIGGER   contadores_TR_KEY
    BEFORE INSERT    ON     contadores
    FOR EACH ROW
   BEGIN      SELECT        contadores_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--CONTRATOS
CREATE OR REPLACE TRIGGER   contratos_TR_KEY
    BEFORE INSERT    ON     contratos
    FOR EACH ROW
   BEGIN      SELECT        contratos_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--LECTURAS
CREATE OR REPLACE TRIGGER lecturas_TR_KEY
    BEFORE INSERT      ON lecturas
    FOR EACH ROW
   BEGIN
      SELECT              lecturas_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--CONSUMOS
CREATE OR REPLACE TRIGGER               consumos_TR_KEY
    BEFORE INSERT      ON               consumos
    FOR EACH ROW   BEGIN      SELECT    consumos_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
END;
/
--LOG
CREATE OR REPLACE TRIGGER  Log_TR_KEY
    BEFORE INSERT       ON Log
    FOR EACH ROW
   BEGIN
      SELECT              Log_SEQ_GRAL.NEXTVAL INTO :NEW.idLog FROM dual;
END;
/
---------------ESTADISTICAS-------
----------------------------------
CREATE OR REPLACE TRIGGER           e_1_TR_KEY
        BEFORE INSERT        ON     e_1   FOR EACH ROW
    BEGIN                   SELECT  e_1_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_2_TR_KEY
        BEFORE INSERT        ON     e_2   FOR EACH ROW
    BEGIN                   SELECT  e_2_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_3_TR_KEY
        BEFORE INSERT        ON     e_3   FOR EACH ROW
    BEGIN                   SELECT  e_3_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_4_TR_KEY
        BEFORE INSERT        ON     e_4   FOR EACH ROW
    BEGIN                   SELECT  e_4_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_5_TR_KEY
        BEFORE INSERT        ON     e_5   FOR EACH ROW
    BEGIN                   SELECT  e_5_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_6_TR_KEY
        BEFORE INSERT        ON     e_6   FOR EACH ROW
    BEGIN                   SELECT  e_6_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER           e_7_TR_KEY
        BEFORE INSERT        ON     e_7   FOR EACH ROW
    BEGIN                   SELECT  e_7_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
----------CONSULTAS
-------------------
CREATE OR REPLACE TRIGGER  C1_TR_KEY  BEFORE INSERT  ON  C1   FOR EACH ROW
    BEGIN          SELECT  C1_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C2_TR_KEY  BEFORE INSERT  ON  C2   FOR EACH ROW
    BEGIN          SELECT  C2_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C3_TR_KEY  BEFORE INSERT  ON  C3   FOR EACH ROW
    BEGIN          SELECT  C3_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C4_TR_KEY  BEFORE INSERT  ON  C4   FOR EACH ROW
    BEGIN          SELECT  C4_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C5_TR_KEY  BEFORE INSERT  ON  C5   FOR EACH ROW
    BEGIN          SELECT  C5_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C6_TR_KEY  BEFORE INSERT  ON  C6   FOR EACH ROW
    BEGIN          SELECT  C6_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
/
CREATE OR REPLACE TRIGGER  C7_TR_KEY  BEFORE INSERT  ON  C7   FOR EACH ROW
    BEGIN          SELECT  C7_SEQ_GRAL.NEXTVAL INTO :NEW.id FROM dual;
    END;
----end triggers
----------------
/* FIN CREACION DE SECUENCIAS */