--------------------------------------------------------------------------
---           LOG 
drop table    log            cascade constraint purge;
CREATE TABLE Log(
  idLog         NUMBER              CONSTRAINT PK_log               PRIMARY KEY, 
  procesoLog    VARCHAR2(50 BYTE)   CONSTRAINT NN_procesoLog_Log    NOT NULL, 
  fechaLog      VARCHAR2(50 BYTE)   CONSTRAINT NN_fechaHoraLog_Log  NOT NULL, 
  entradaLog    VARCHAR2(500 BYTE)  CONSTRAINT NN_entradaLog_Log    NOT NULL, 
  salidaLog     VARCHAR2(500 BYTE)  CONSTRAINT NN_salidaLog_Log     NOT NULL, 
  RSPLog        VARCHAR2(500 BYTE)  CONSTRAINT NN_RSPLog_log        NOT NULL
  );
DROP SEQUENCE               Log_SEQ_GRAL;
CREATE SEQUENCE             Log_SEQ_GRAL  	      START WITH 1    INCREMENT BY 1  NOMAXVALUE  NOCACHE;
CREATE OR REPLACE TRIGGER   Log_TR_KEY
    BEFORE INSERT       ON Log
    FOR EACH ROW
   BEGIN
      SELECT                Log_SEQ_GRAL.NEXTVAL INTO :NEW.idLog FROM dual;
END;

